ViennaCL - The Vienna Computing Library: tests/src/matrix_int.hpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros | Functions
matrix_int.hpp File Reference
`#include <utility>`
`#include <iostream>`
`#include <fstream>`
`#include <string>`
`#include <cmath>`
`#include <algorithm>`
`#include <cstdio>`
`#include <ctime>`
`#include <vector>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/matrix_proxy.hpp"`
`#include "viennacl/vector_proxy.hpp"`

Go to the source code of this file.

## Macros
#define | GENERATE_UNARY_OP_TEST(FUNCNAME)

## Functions
template<typename NumericT , typename VCLMatrixType >
bool | check_for_equality (std::vector< std::vector< NumericT > > const &std_A, VCLMatrixType const &vcl_A)
template<typename STLMatrixType , typename ViennaCLMatrixType1 , typename ViennaCLMatrixType2 , typename ViennaCLMatrixType3 >
int | run_test (STLMatrixType &std_A, STLMatrixType &std_B, STLMatrixType &std_C, ViennaCLMatrixType1 &vcl_A, ViennaCLMatrixType2 &vcl_B, ViennaCLMatrixType3 vcl_C)
template<typename T , typename ScalarType >
int | run_test ()

## Macro Definition Documentation

#define GENERATE_UNARY_OP_TEST | ( |  | FUNCNAME | ) |

## Function Documentation

template<typename NumericT , typename VCLMatrixType >

bool check_for_equality | ( | std::vector< std::vector< NumericT > > const & | std_A,
|  | VCLMatrixType const & | vcl_A
| ) |  |

Definition at line 35 of file matrix_int.hpp.

template<typename STLMatrixType , typename ViennaCLMatrixType1 , typename ViennaCLMatrixType2 , typename ViennaCLMatrixType3 >

int run_test | ( | STLMatrixType & | std_A,
|  | STLMatrixType & | std_B,
|  | STLMatrixType & | std_C,
|  | ViennaCLMatrixType1 & | vcl_A,
|  | ViennaCLMatrixType2 & | vcl_B,
|  | ViennaCLMatrixType3 | vcl_C
| ) |  |

Definition at line 63 of file matrix_int.hpp.

template<typename T , typename ScalarType >

int run_test | ( |  | ) |

Definition at line 724 of file matrix_int.hpp.